EDIT - feature request #7461

Add oder by ISSN an ISBN to the PagingProvider for all Reference comboboxes
06/07/2018 05:57 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.1

Severity: normal

Description

This has been intended as a quick solution to easily distinguish Journals with the same title (printed and digital issue)

The full solution will implemented in #7459

Related issues:
Related to EDIT - feature request #7459: ToOneRelatedEntityCombobox for Refer... New

Associated revisions

Revision e32daf11 - 06/07/2018 06:43 PM - Andreas Kohlbecker

fix #7461 ordering references in comboboxes by titleCache, issn, isbn - consistence by CdmPFilterablePagingProviderFactory

History

#1 - 06/07/2018 05:57 PM - Andreas Kohlbecker
- Related to feature request #7459: ToOneRelatedEntityCombobox for References allow searching also via ISSN and ISBN added

#2 - 06/07/2018 06:00 PM - Andreas Kohlbecker

- Tracker changed from bug to feature request

#3 - 06/07/2018 06:43 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|e32daf11e2a1d6947e525bb2e42e99f124e02b38.

#4 - 06/07/2018 06:45 PM - Andreas Kohlbecker
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

Henning, can you please create journals with identical title and different issn and test if the sort oder is working?

#5 - 06/14/2018 12:10 PM - Andreas Kohlbecker

- Subject changed from Add oder by ISSN an ISBN to the PaginProvider for all Reference comboboxes to Add oder by ISSN an ISBN to the
PagingProvider for all Reference comboboxes

#6 - 06/14/2018 12:10 PM - Andreas Kohlbecker

- Status changed from Feedback to Resolved

#7 - 06/14/2018 10:22 PM - Wolf-Henning Kusber

Doppelte Journals "Fotteea", "Hinter Indian Journal of Phycology" und Buch "Das Buch" werden jeweils fehlerfrei aufsteigend sortiert, d.h. niedrigere
ISSN, ISBN-Nr. oben.

#8 - 06/15/2018 07:58 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker
https://dev.e-taxonomy.eu/redmine/issues/7459
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/e32daf11e2a1d6947e525bb2e42e99f124e02b38

- % Done changed from 50 to 100

Great, so we can close this issue.
